//lcd.c
//#include <string.h>
#include "lpc21xx.h"
#include "lcd.h"

unsigned long data;
void Delay (unsigned long a) { while (--a!=0); }

void E_Pulse()
{
  IOSET0 = 0x20000000; //P0_29 set E to high
  Delay(10000);
  IOCLR0 = 0x20000000; //set E to low
}

void LCDInit()
{
	unsigned int temp;
  //first set D4, D5, D6, D7, LCD_LIGHT, RS, E , RW to output ports
//	P0_4,P0_5,P0_6,P0_7,P0_10,P0_28,P0_29,P0_11 = 1;
  IODIR0=0x30000CF0;
  temp=IODIR0;

  //LCD initialization
  //step by step from LCD Display data sheed
  IOCLR0= 0x10000000;	//P0_28 = 1;  //set RS port to 0
  IOCLR0= 0x20000000;	//IO0CLR_bit.P0_29 = 1;  //set E port to 0
  IOCLR0= 0x00000800;	//IO0CLR_bit.P0_11 = 1;  //set R/W port to 0

  Delay(110000);        //delay ~110ms

  IOSET0=0x00000010;//IO0SET_bit.P0_4 = 1;   //set D4 port to 1
  IOSET0=0x00000020;//IO0SET_bit.P0_5 = 1;   //set D5 port to 1
  E_Pulse();            //high->low to E port (pulse)
  Delay(10000);         //delay ~10ms


  IOSET0=0x00000010;   //set D4 port to 1
  IOSET0=0x00000020;	//set D5 port to 1
  E_Pulse();            //high->low to E port (pulse)
  Delay(10000);         //delay ~10ms


  IOSET0=0x00000010;	//set D4 port to 1
  IOSET0=0x00000020; //set D5 port to 1
  E_Pulse();            //high->low to E port (pulse)
  Delay(10000);         //delay ~10ms

  IOSET0=0x00000020;  //set D5 port to 1
  IOCLR0=0x00000010;   //set D4 port to 0
  E_Pulse();            //high->low to E port (pulse)

}

void LCDSendCommand(unsigned long a)
{
  IOCLR0=0x00000800;	//P0_11 = 1//set RW port to 0

  Delay(2000);                            //delay for LCD char ~2ms

  data = 0xffffff0f | a;                  //get high 4 bits
  IOCLR0 |= 0x000000f0;                    //clear D4-D7
  IOSET0 = (IOSET0 | 0x000000f0) & data;    //set D4-D7
  IOCLR0 = 0x10000000;	//P0_28 = 1;//set RS port to 0 -> display set to comand mode
  E_Pulse();                              //pulse to set d4-d7 bits


  data = (a << 4) & 0x000000f0;   	  //get low 4 bits
  IOCLR0 |= 0x000000f0;                    //clear D4-D7
  IOSET0 = (IOSET0 & 0xffffff0f) | data;	  //set D4-D7 (only PORTC4-PORTC7)
  IOCLR0 = 0x10000000; 			//P0_28 = 1;//set RS port to 0 -> display set to command mode
  E_Pulse();                              //pulse to set d4-d7 bits

}

void LCDSendChar(unsigned long a)
{
	unsigned int temp,temp2;
	IOCLR0 = 0x40000000;//P0_30 = 1; //set RW port to 0
 
  Delay(2000);                            //delay for LCD char ~2ms

  data = 0xffffff0f | a;                  //get high 4 bits
  IOCLR0 |= 0x000000f0;                    //clear D4-D7
  temp=IOCLR0;
  IOSET0 = (IOSET0 | 0x000000f0) & data;    //set D4-D7
  IOSET0 = 0x10000000;		//P0_28 = 1;     //set RS port to 1 -> display set to data mode
  temp2=IOSET0;
  E_Pulse();                              //pulse to set d4-d7 bits

  data = (a << 4) & 0x000000f0;   	  //get low 4 bits
  IOCLR0 |= 0x000000f0;                    //clear D4-D7
  IOSET0 = (IOSET0 & 0xffffff0f) | data;	  //set D4-D7 (only PORTC4-PORTC7)
  IOSET0 = 0x10000000;	//P0_28 = 1;//set RS port to 1 -> display set to data mode
  E_Pulse();                              //pulse to set d4-d7 bits

}

void LCDSendTxt(char* a)
{
 // for(int i=0; i<strlen(a); i++)
 // {
  //}
  char i=0;
  	while(a[i]!='\0') 
  	{
  		LCDSendChar(a[i]);
  	i++;
  		}
}

